org.jfree.data.xy

## Class AbstractXYDataset

- java.lang.Object
- - org.jfree.data.general.AbstractDataset
  - - org.jfree.data.general.AbstractSeriesDataset
    - - org.jfree.data.xy.AbstractXYDataset

- All Implemented Interfaces:
    java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, Dataset, SeriesChangeListener, SeriesDataset, XYDataset
  Direct Known Subclasses:
    AbstractIntervalXYDataset

      public abstract class AbstractXYDataset
      extends AbstractSeriesDataset
      implements XYDataset

  An base class that you can use to create new implementations of the `XYDataset` interface.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXYDataset()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DomainOrder` | `getDomainOrder()` Returns the order of the domain (X) values.
    `double` | `getXValue(int series, int item)` Returns the x-value (as a double primitive) for an item within a series.
    `double` | `getYValue(int series, int item)` Returns the y-value (as a double primitive) for an item within a series.

    - ### Methods inherited from class org.jfree.data.general.AbstractSeriesDataset

      `getSeriesCount, getSeriesKey, indexOf, seriesChanged`

    - ### Methods inherited from class org.jfree.data.general.AbstractDataset

      `addChangeListener, clone, fireDatasetChanged, getGroup, getNotify, hasListener, notifyListeners, removeChangeListener, setGroup, setNotify, validateObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.data.xy.XYDataset

      `getItemCount, getX, getY`

    - ### Methods inherited from interface org.jfree.data.general.SeriesDataset

      `getSeriesCount, getSeriesKey, indexOf`

    - ### Methods inherited from interface org.jfree.data.general.Dataset

      `addChangeListener, getGroup, removeChangeListener, setGroup`

- - ### Constructor Detail

    - #### AbstractXYDataset

          public AbstractXYDataset()

  - ### Method Detail

    - #### getDomainOrder

          public DomainOrder getDomainOrder()

      Returns the order of the domain (X) values.
      Specified by:
        `getDomainOrder` in interface `XYDataset`
      Returns:
        The domain order.

    - #### getXValue

          public double getXValue(int series,
                                  int item)

      Returns the x-value (as a double primitive) for an item within a series.
      Specified by:
        `getXValue` in interface `XYDataset`
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The value.

    - #### getYValue

          public double getYValue(int series,
                                  int item)

      Returns the y-value (as a double primitive) for an item within a series.
      Specified by:
        `getYValue` in interface `XYDataset`
      Parameters:
        `series` - the series index (zero-based).
        `item` - the item index (zero-based).
      Returns:
        The value.